﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ItemDataGenerator
{
    class Program
    {
        static void Main(string[] args)
        {
            // generate item sources (overwrites item-sources.json)
            ItemSourceWriter sources = new ItemSourceWriter();
            sources.Write();

            // generate a list of bad items that should be excluded from the database (overwrites bad-items.txt)
            BadItemFinder bad = new BadItemFinder();
            bad.Write();

            //// testing code: this example will spit out just sources generated for black hole mk-2 and mk-3 items to the specified file
            //ItemSourceWriter sources = new ItemSourceWriter();
            //sources.Test(ItemSourceWriter.SourceGeneratorTypes.BlackHoleMk3, @"D:\TeamRobot\scratch\swtorsources.txt");
        }
    }
}
